use crate::repository::api::prelude::*;

pub use rust_shared::repository::api::PromoError;

pub async fn activate_traffic_promocode(tg_id: i64, code: &str) -> Result<(), PromoError> {
    let user_id = get_test_user_id(tg_id);
    rust_shared::repository::api::activate_traffic_promocode(user_id, code).await
} 